darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Repository.Motd

Synopsis

- getMotd :: String -> IO ByteString
- showMotd :: [DarcsFlag] -> String -> IO ()

# Documentation

getMotd :: String -> IO ByteString

Fetch and return the message of the day for a given repository.

showMotd :: [DarcsFlag] -> String -> IO ()

Display the message of the day for a given repository, unless either the `XMLOutput` or the `Quiet` flags are passed in